For the complete documentation index, see llms.txt. This page is also available as Markdown.

Register

V2Register

post

V2Register in data must be have type, type must be one of the following values ["google", "apple", "email", "phone"] client_type_id and role_id must be in body parameters you must be give environment_id and project_id in body or Environment-Id hearder and project-id in query parameters or X-API-KEY in hearder

Query parameters
project-idstringOptional

project-id

Header parameters
X-API-KEYstringOptional

X-API-KEY

Resource-IdstringOptional

Resource-Id

Environment-IdstringOptional

Environment-Id

Body
Responses
201

User data

application/json
custom_messageanyOptional
descriptionstringOptional
statusstringOptional
post/v2/auth/register
POST /v2/auth/register HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 47

{
  "data": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}
{
  "custom_message": null,
  "data": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "description": "text",
  "status": "text"
}